Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225983 - Merge Review: less
Summary: Merge Review: less
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:18 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 07:55:12 UTC
ed: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:18:16 UTC
Fedora Merge Review: less

http://cvs.fedora.redhat.com/viewcvs/devel/less/
Initial Owner: varekova@redhat.com

Comment 1 Ed Hill 2007-02-03 18:37:45 UTC
For build, rpmlint, etc. info please see:

http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/i386/less-394-6.fc7.src.rpm/result/

good:
 + source matches upstream
 + license is correct

needswork or nits:
 - please remove the trailing '.' from the summary

 - rpmlint reports a few permissions errors:
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/i386/less-394-6.fc7.src.rpm/result/rpmlint.log

 - please consider adding %{?dist} to the Release
 - please include the license in %doc since upstream includes it
 - please use the preferred BuildRoot
 - please use %defattr(-,root,root,-)


Comment 2 Ivana Varekova 2007-02-08 09:03:49 UTC
All problems except of permission problem - which is reported by  rpmlint are
fixed in less-394-7.fc7. It is a problem to change permissions in cvs so the
best solution I see is to leave them as they are.

Comment 3 Robert Scheck 2007-02-18 22:40:45 UTC
/etc/profile.d/less.{sh,csh} is 755, but should be 644:

E: less executable-sourced-script /etc/profile.d/less.sh 0755
E: less world-writable /usr/share/doc/less-394/LICENSE 0666
E: less executable-sourced-script /etc/profile.d/less.csh 0755

Comment 4 Ivana Varekova 2007-02-19 11:34:25 UTC
Thanks for your comment.
/etc/profile.d/less.{sh,csh} has the right permissions - rpmlint should not
display it as an error, the only problem was /usr/share/doc/less-394/LICENSE
permissions which are fixed in less-394-8.fc7.

Comment 5 Ville Skyttä 2007-02-19 19:03:19 UTC
Why would executable bits for /etc/profile.d/*sh scripts be correct?  They do
not have a shebang, so they cannot be executed alone, and /etc/bashrc and
/etc/csh.cshrc check for them using -r (readability, not executability), then
source (not execute) them.

Some 5+ years ago it was necessary to have them executable because of bugs in
the setup package, but that has been fixed since around Red Hat Linux 7.1, see
bug 35714.  644 should be the correct permissions for them these days.

Having them with incorrect permissions in CVS is an orthogonal issue which
shouldn't prevent them from being shipped with correct permissions in the actual
package.

Comment 6 Ivana Varekova 2007-02-20 09:07:04 UTC
Thanks. You are right permmissions are changed in less-394-9.fc7.

Comment 7 Ivana Varekova 2007-04-05 08:08:38 UTC
Ed,
could you please look at less-394-9.fc7 and approved this review request or
if you see any reason why you wdon't want to aproved it here. 
Thanks

Comment 8 Ed Hill 2007-04-18 02:37:06 UTC
My apologies for taking so long to get back to this!  All issues are fixed 
in less-394-9.fc7.  APPROVED.


Note You need to log in before you can comment on or make changes to this bug.